package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class MusicGroupStudentQueryInfo extends QueryInfo {

  @ApiModelProperty(value = "科目编号")
  private Integer subjectId;

  @ApiModelProperty(value = "学员姓名")
  private String studentName;

  @ApiModelProperty(value = "乐团编号")
  private String musicGroupId;

  @ApiModelProperty(value = "班级编号")
  private Integer classGroupId;

  @ApiModelProperty(value = "是否激活")
  private Boolean isActive;

  @ApiModelProperty(value = "是否锁定")
  private Integer isLock;

  @ApiModelProperty(value = "学员状态 NORMAL(NORMAL, 在读), LEAVE(LEAVE, 请假), QUIT(QUIT, 退班)",required = false)
  private String studentStatus;

  @ApiModelProperty(value = "缴费状态  PAID_COMPLETED(完成缴费), NON_PAYMENT(未缴费), PROCESSING(缴费中)",required = false)
  private String paymentStatus;

  private boolean isExport = false;

  public boolean getIsExport() {
    return isExport;
  }

  public void setIsExport(boolean export) {
    isExport = export;
  }

  public Integer getClassGroupId() {
    return classGroupId;
  }

  public void setClassGroupId(Integer classGroupId) {
    this.classGroupId = classGroupId;
  }

  public Integer getIsLock() {
    return isLock;
  }

  public void setIsLock(Integer isLock) {
    this.isLock = isLock;
  }

  public Boolean getIsActive() {
    return isActive;
  }

  public void setIsActive(Boolean active) {
    isActive = active;
  }

  public String getStudentName() {
    return studentName;
  }

  public void setStudentName(String studentName) {
    this.studentName = studentName;
  }

  public String getMusicGroupId() {
    return musicGroupId;
  }

  public void setMusicGroupId(String musicGroupId) {
    this.musicGroupId = musicGroupId;
  }

  public Integer getSubjectId() {
    return subjectId;
  }

  public void setSubjectId(Integer subjectId) {
    this.subjectId = subjectId;
  }

  public String getStudentStatus() {
    return studentStatus;
  }

  public void setStudentStatus(String studentStatus) {
    this.studentStatus = studentStatus;
  }

  public String getPaymentStatus() {
    return paymentStatus;
  }

  public void setPaymentStatus(String paymentStatus) {
    this.paymentStatus = paymentStatus;
  }
}
